unit Unit11;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, ImgList, ComCtrls, ToolWin, Mask;

type
  TForm11 = class(TForm)
    CoolBar1: TCoolBar;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ImageList1: TImageList;
    Panel2: TPanel;
    ListBox1: TListBox;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolBar2: TToolBar;
    Label1: TLabel;
    MaskEdit1: TMaskEdit;
    ToolButton7: TToolButton;
    procedure FormCreate(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure MaskEdit1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ToolButton5Click(Sender: TObject);
    procedure ToolButton6Click(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure OpenDialog1Show(Sender: TObject);
    procedure SaveDialog1Show(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form11: TForm11;
  Modified: boolean;
const
  LocalFileName: string = '';

implementation

uses Unit1;

{$R *.DFM}

procedure TForm11.FormCreate(Sender: TObject);
begin
     try
        Form1.ComboBoxList.Items.LoadFromFile(AppPath+'FirmList.txt');
     except
     end;
end;

procedure TForm11.ToolButton1Click(Sender: TObject);
begin
     if SaveDialog1.Execute then
     begin
          Form11.Caption:=Form1.GetClearFName(SaveDialog1.FileName);
          ListBox1.Clear;
          LocalFileName:=SaveDialog1.FileName;
          Modified:=false;
     end;
end;

procedure TForm11.ToolButton2Click(Sender: TObject);
begin
     if OpenDialog1.Execute then
     begin
          Form11.Caption:=Form1.GetClearFName(OpenDialog1.FileName);
          ListBox1.Items.LoadFromFile(OpenDialog1.FileName);
          LocalFileName:=OpenDialog1.FileName;
          Modified:=false;
     end;
end;

procedure TForm11.ToolButton3Click(Sender: TObject);
begin
     if (LocalFileName<>'') then
     begin
          ListBox1.Items.SaveToFile(LocalFileName);
          Modified:=false;
     end;
end;

procedure TForm11.ToolButton4Click(Sender: TObject);
begin
     if SaveDialog1.Execute then
     begin
          Form11.Caption:=Form1.GetClearFName(SaveDialog1.FileName);
          LocalFileName:=SaveDialog1.FileName;
          ListBox1.Items.SaveToFile(LocalFileName);
          Modified:=false;
     end;
end;

procedure TForm11.MaskEdit1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
     if (Key=13)and(MaskEdit1.Text<>'') then
     begin
          ListBox1.Items.Add(MaskEdit1.Text);
          Modified:=true;
     end;
end;

procedure TForm11.ToolButton5Click(Sender: TObject);
begin
     if (MaskEdit1.Text<>'') then
     begin
          ListBox1.Items.Add(MaskEdit1.Text);
          Modified:=true;
     end;
end;

procedure TForm11.ToolButton6Click(Sender: TObject);
begin
     if ListBox1.ItemIndex>-1 then
     begin
          ListBox1.Items.Delete(ListBox1.ItemIndex);
          Modified:=true;
     end;
end;

procedure TForm11.FormHide(Sender: TObject);
begin
     if Modified then if MessageDlg(' ?',mtWarning,[mbYes,mbNo],0)=mrYes then
        ListBox1.Items.SaveToFile(LocalFileName);
end;

procedure TForm11.FormShow(Sender: TObject);
begin
     Modified:=false;
     if SaveDialog1.FileName<>'' then ListBox1.Items.LoadFromFile(SaveDialog1.FileName)
     else if OpenDialog1.FileName<>'' then ListBox1.Items.LoadFromFile(OpenDialog1.FileName);
end;

procedure TForm11.OpenDialog1Show(Sender: TObject);
begin
     (Sender as TOpenDialog).InitialDir:=AppPath;
end;

procedure TForm11.SaveDialog1Show(Sender: TObject);
begin
     (Sender as TSaveDialog).InitialDir:=AppPath;
end;

end.
